//---------------------------------------------------------------------------
#ifndef UrlsDlgH
#define UrlsDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall ManageURLs(TForm *Owner);

class TUrlsForm : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TPageControl *PageControl1;
  TTabSheet *TabSheet1;
  TTabSheet *TabSheet2;
  TTabSheet *TabSheet3;
  TTabSheet *TabSheet4;
  TTabSheet *TabSheet5;
  TMemo *Memo1;
  TMemo *Memo2;
  TMemo *Memo3;
  TMemo *Memo4;
  TMemo *Memo5;
  TLabel *Label2;
  TButton *HeplBtn;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall MemoDblClick(TObject *Sender);
  void __fastcall HeplBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool SavedURLs;
  __fastcall TUrlsForm(TComponent* Owner);
  void __fastcall SetDefaultUrlFromCursor(TMemo *memo);
  void __fastcall SaveDocURLs(AnsiString &DocName, TStrings *URLs);
  bool __fastcall URLsModified();
  void __fastcall SaveURLs();
  bool __fastcall Execute();
};
//---------------------------------------------------------------------------
extern TUrlsForm *UrlsForm;
//---------------------------------------------------------------------------
#endif
